- Qt 5.15
- Qt Multimedia
- C++ Classes
- QVideoRendererControl
- Qt 5.15.11 Reference Documentation

# QVideoRendererControl Class

The QVideoRendererControl class provides a media control for rendering video to a QAbstractVideoSurface. More...

Header: | #include <QVideoRendererControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

- List of all members, including inherited members

## Public Functions

virtual | ~QVideoRendererControl()
virtual void | setSurface(QAbstractVideoSurface *surface) = 0
virtual QAbstractVideoSurface * | surface() const = 0

## Protected Functions

| QVideoRendererControl(QObject *parent = nullptr)

## Macros

| QVideoRendererControl_iid

## Detailed Description

Using the surface() property of QVideoRendererControl a QAbstractVideoSurface may be set as the video render target of a QMediaService.

     QVideoRendererControl *rendererControl = mediaService->requestControl<QVideoRendererControl *>();
     rendererControl->setSurface(myVideoSurface);

QVideoRendererControl is one of a number of possible video output controls.

The interface name of QVideoRendererControl is `org.qt-project.qt.videorenderercontrol/5.0` as defined in QVideoRendererControl_iid.

See also QMediaService::requestControl() and QVideoWidget.

## Member Function Documentation

### `[protected]` QVideoRendererControl::QVideoRendererControl(QObject *parent = nullptr)

Constructs a new video renderer media end point with the given parent.

### `[virtual]` QVideoRendererControl::~QVideoRendererControl()

Destroys a video renderer media end point.

### `[pure virtual]` void QVideoRendererControl::setSurface(QAbstractVideoSurface *surface)

Sets the surface a video producer renders to.

See also surface().

### `[pure virtual]` QAbstractVideoSurface *QVideoRendererControl::surface() const

Returns the surface a video producer renders to.

See also setSurface().

## Macro Documentation

### QVideoRendererControl_iid

`org.qt-project.qt.videorenderercontrol/5.0`

Defines the interface name of the QVideoRendererControl class.